libzypp 17.37.10

zypp::misc::testcase::LoadTestcase::Impl Struct Reference

## Public Member Functions
bool | loadHelix (const Pathname &filename, std::string *err)
bool | loadYaml (const Pathname &path, std::string *err)

## Public Attributes
TestcaseSetup | _setup
TestcaseTrials | _trials

## Detailed Description

Definition at line 23 of file LoadTestcase.cc.

## Member Function Documentation

## ◆ loadHelix()

bool zypp::misc::testcase::LoadTestcase::Impl::loadHelix | ( | const Pathname & | filename,
|  | std::string * | err )

Definition at line 96 of file LoadTestcase.cc.

## ◆ loadYaml()

bool zypp::misc::testcase::LoadTestcase::Impl::loadYaml | ( | const Pathname & | path,
|  | std::string * | err )

Definition at line 146 of file LoadTestcase.cc.

## Member Data Documentation

## ◆ _setup

TestcaseSetup zypp::misc::testcase::LoadTestcase::Impl::_setup

Definition at line 24 of file LoadTestcase.cc.

## ◆ _trials

TestcaseTrials zypp::misc::testcase::LoadTestcase::Impl::_trials

Definition at line 25 of file LoadTestcase.cc.

The documentation for this struct was generated from the following file:

- zypp/misc/LoadTestcase.cc